Bug 521468 - [xorg-x11-drv-ati] Black background without icons for ATI Radeon 7200 [R100] when desktop effects are enabled
Summary: [xorg-x11-drv-ati] Black background without icons for ATI Radeon 7200 [R100] ...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jérôme Glisse
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-06 09:07 UTC by Joachim Frieben
Modified: 2018-04-11 07:51 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-28 14:30:09 UTC


Attachments (Terms of Use)
Custom xorg.conf for ATI Radeon 7200 [R100] and 21" CRT HP A4576A (1001 bytes, text/plain)
2009-09-06 09:07 UTC, Joachim Frieben
no flags Details
Xorg.0.log for ATI Radeon 7200 [R100] and 21" CRT HP A4576A (128.42 KB, text/plain)
2009-09-06 09:08 UTC, Joachim Frieben
no flags Details
Screenshot when desktop effect are on. (56.18 KB, image/png)
2009-09-10 14:52 UTC, Timo Sorvoja
no flags Details
Screenshot of desktop with desktop effects enabled in GNOME with dual-head. (788.63 KB, image/png)
2009-09-23 05:04 UTC, A Griffin
no flags Details
screenshot of desktop, no background, no icons (46.44 KB, image/png)
2009-12-08 22:57 UTC, daflores
no flags Details

Description Joachim Frieben 2009-09-06 09:07:06 UTC
Created attachment 359898 [details]
Custom xorg.conf for ATI Radeon 7200 [R100] and 21" CRT HP A4576A

Description of problem:
For a fully updated F11 system, the background and icons of a GNOME desktop disappear after enabling desktop effects.

Version-Release number of selected component (if applicable):
xorg-x11-drv-ati-6.12.2-14.fc11.i586

How reproducible:
Always.

Steps to Reproduce:
1. Start GNOME session.
2. Enable desktop effects.
  
Actual results:
Desktop consists of GNOME panels on top of a completely black background. Default desktop icons have disappeared, too.

Expected results:
Desktop effects get enabled without said regression.

Additional info:
Changing the background to a different one, e.g. a solid colour, has no effect.

Comment 1 Joachim Frieben 2009-09-06 09:08:12 UTC
Created attachment 359899 [details]
Xorg.0.log for ATI Radeon 7200 [R100] and 21" CRT HP A4576A

Comment 2 Timo Sorvoja 2009-09-10 14:50:03 UTC
I have a fault which may be resulted by same fault. Hardware: Dell Latitude D610 (ATI Technologies Inc M22 [Mobility Radeon X300]).

Symptoms: When enabling desktop effect with dual head icons get streched (see attachment). With singlehead desktop effects works fine.

Comment 3 Timo Sorvoja 2009-09-10 14:52:09 UTC
Created attachment 360516 [details]
Screenshot when desktop effect are on.

Comment 4 A Griffin 2009-09-23 05:01:53 UTC
I have exactly same fault as Timo. I have Raedon X600 - happens with ati driver.

When desktop effects on desktop is stretched wildly, image only though, the logical icon locations on the desktop are the same (if you double click on where home should be, you get something up).

It APPEARS as though when the desktop background area is turned into a 3D object on dual head it breaks and stretches the surface's texture for reasons unknown.

Same is true when you use compiz also.

Fedora Release 11 (Leonidas)
Kernel Linux 2.6.30.5-43.fc11.i686.PAE
GNOME 2.26.3

Comment 5 A Griffin 2009-09-23 05:04:05 UTC
Created attachment 362167 [details]
Screenshot of desktop with desktop effects enabled in GNOME with dual-head.

Comment 6 Joachim Frieben 2009-09-23 06:04:07 UTC
(In reply to comment #4)
Your issue has nothing to do with the original one, please file a bug of your own. Thanks!

Comment 7 Matěj Cepl 2009-11-05 18:37:26 UTC
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]

Comment 8 Joachim Frieben 2009-11-11 15:56:13 UTC
No improvement for latest updates:
- xorg-x11-drv-ati-6.12.2-14.fc11.i586
- xorg-x11-server-Xorg-1.6.4-0.3.fc11.i586

Comment 9 daflores 2009-12-08 20:10:02 UTC
I am experiencing this exactly on Fedora 12 2.6.31.6-162.fc12.i686.PAE; xorg.conf:
# Xorg configuration created by system-config-display

Section "ServerLayout"
	Identifier     "single head configuration"
	Screen      0  "Screen0" 0 0
	InputDevice    "Keyboard0" "CoreKeyboard"
EndSection

Section "InputDevice"

# keyboard added by system-config-display
	Identifier  "Keyboard0"
	Driver      "kbd"
	Option	    "XkbModel" "pc105+inet"
	Option	    "XkbLayout" "us"
EndSection

Section "Monitor"
	Identifier   "Monitor0"
	ModelName    "LCD Panel 1024x768"
	HorizSync    31.5 - 48.0
	VertRefresh  56.0 - 65.0
	Option	    "dpms"
EndSection

Section "Device"
	Identifier  "Videocard0"
	Driver      "radeon"
EndSection

Section "Screen"
	Identifier "Screen0"
	Device     "Videocard0"
	Monitor    "Monitor0"
	DefaultDepth     24
	SubSection "Display"
		Viewport   0 0
		Depth     24
	EndSubSection
EndSection

Comment 10 daflores 2009-12-08 22:57:50 UTC
Created attachment 377046 [details]
screenshot of desktop, no background, no icons

Comment 11 Bug Zapper 2010-04-28 10:11:58 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 12 Bug Zapper 2010-06-28 14:30:09 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.